You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

46 lines
1.3 KiB

  1. {
  2. "name": "brain-clock",
  3. "version": "0.1.0",
  4. "private": true,
  5. "scripts": {
  6. "serve": "vue-cli-service serve",
  7. "build": "vue-cli-service build",
  8. "lint": "vue-cli-service lint",
  9. "electron:build": "vue-cli-service electron:build",
  10. "electron:serve": "vue-cli-service electron:serve",
  11. "postinstall": "electron-builder install-app-deps",
  12. "postuninstall": "electron-builder install-app-deps"
  13. },
  14. "main": "background.js",
  15. "dependencies": {
  16. "bootstrap-vue": "^2.15.0",
  17. "core-js": "^3.6.5",
  18. "electron-store": "^6.0.0",
  19. "fork-awesome": "^1.1.7",
  20. "knex": "^0.21.2",
  21. "moment": "^2.27.0",
  22. "moment-duration-format": "^2.3.2",
  23. "sass": "^1.26.10",
  24. "sass-loader": "^9.0.2",
  25. "sqlite3": "^5.0.0",
  26. "vue": "^2.6.11",
  27. "vue-i18n": "^8.18.2",
  28. "vue-router": "^3.2.0",
  29. "vuex": "^3.4.0"
  30. },
  31. "devDependencies": {
  32. "@vue/cli-plugin-babel": "~4.4.0",
  33. "@vue/cli-plugin-eslint": "~4.4.0",
  34. "@vue/cli-plugin-router": "~4.4.0",
  35. "@vue/cli-plugin-vuex": "~4.4.0",
  36. "@vue/cli-service": "~4.4.0",
  37. "babel-eslint": "^10.1.0",
  38. "electron": "^9.0.0",
  39. "electron-devtools-installer": "^3.1.0",
  40. "eslint": "^6.7.2",
  41. "eslint-plugin-vue": "^6.2.2",
  42. "vue-cli-plugin-electron-builder": "~2.0.0-rc.4",
  43. "vue-template-compiler": "^2.6.11"
  44. }
  45. }